root/gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GLIB.sh @ 32887

Revision 32887, 2.4 KB (checked in by davidb, 8 months ago)

Change to ./configure setting to avoid compliation error in glib

  • Property svn:executable set to *
RevLine 
[22811]1#!/bin/bash
2
[27197]3# glib2.28.1 was modified for Greenstone to allow compilation to succed on a Mac, so it has acquired a 'gs-' prefix
4package=gs-glib
[26786]5#version=-2.24.2
6version=-2.28.1
7#version=-2.34.3
[22811]8
9progname=$0
10
[23096]11source ../cascade-make/lib/cascade-lib.bash GEXTGNOME ../.. $*
[22811]12
13prefix=$GEXTGNOME_INSTALLED
14
[22825]15export CFLAGS="$CFLAGS -I$GEXTGNOME_INSTALLED/include"
16export CPPFLAGS="$CPPFLAGS -I$GEXTGNOME_INSTALLED/include"
17export CXXFLAGS="$CXXFLAGS -I$GEXTGNOME_INSTALLED/include"
18export LDFLAGS="$LDFLAGS -L$GEXTGNOME_INSTALLED/lib"
19
[26786]20if [ "x$crossOS" = "xandroid" ] ; then
21  # Based on details found at:
22  #   http://axcoto.com/blog/article/836
23  extra_config_args="glib_cv_stack_grows=${glib_cv_stack_grows=no} glib_cv_uscore=${glib_cv_uscore=no} ac_cv_func_posix_getpwuid_r=${ac_cv_func_posix_getpwuid_r=no} ac_cv_func_posix_getgrgid_r=${ac_cv_func_posix_getgrgid_r=no}"
[26813]24
25  # Not clear how many of the following are needed.
26  # List came from:
27  #  https://mail.gnome.org/archives/gtk-devel-list/2011-March/msg00096.html
28  #
29  # Could be that some of these are helpful in general (i.e. move out to
30  #   main section of this script) in making a more minimal glib
31
32  extra_config_args="--without-included-regex --disable-java --disable-openmp --without-libiconv-prefix --without-libintl-prefix --without-libglib-2.0-prefix --without-libcroco-0.6-prefix --with-included-libxml --without-libncurses-prefix --without-libtermcap-prefix --without-libcurses-prefix --without-libexpat-prefix --without-emacs $extra_config_args"
33
34
[26786]35else
36  extra_config_args=
37fi
38
[22811]39opt_run_untar $force_untar $auto_untar $package $version
[26786]40opt_run_configure $force_config $auto_config $package $version $prefix \
[32887]41  --disable-shared --enable-static --disable-dtrace --disable-systemtap $extra_config_args
[22811]42
[32887]43# In the above ...
44# Linking error can occur when compiling due to mix of wanting static libraries built
45# and 'dtrace' and 'systemtap' being present on the underlying linux system
46# Details relating to the linking error disucssed at:
47#    https://gitlab.gnome.org/GNOME/glib/issues/653
48# Since we don't want to move to a newer version of the the gslib library (at this stage)
49# the workaround is to add in:
50#    --disable-dtrace and --disable-systemtap in
51
[22811]52opt_run_make $compile $package $version
53opt_run_make $install $package $version "install"
54opt_run_make $clean $package $version "clean"
55opt_run_make $distclean $package $version "distclean"
56
[26618]57opt_run_tarclean $tarclean $package $version
Note: See TracBrowser for help on using the browser.